<?php get_header(); ?>

	<div id="slideshow">
		<?php if (get_option('slideshowheadline') != "") { ?> <h1><?php echo get_option('slideshowheadline'); ?></h1> <?php } ?>
		<?php if (get_option('slideshowsubheadline') != "") { ?> <h5><?php echo get_option('slideshowsubheadline'); ?></h5> <?php } ?>
		<?php if (get_option('slideshowsmall') != "") { ?> <p><?php echo get_option('slideshowsmall'); ?></p> <?php } ?>
	</div>
	<div id="wrap2" class="clearfix">
		
		<div class="col_12 ">
			<div class="blogStyle">
				<div class="col_3" id="news">
					<h2 class="smallTitle"><?php if (get_option('latestnews') != "") { ?><?php echo get_option('latestnews'); ?><?php } else { ?>Latest News<?php } ?></h2>
					<hr />
					
					<?php
						if ( get_query_var('paged') ) $paged = get_query_var('paged');  
						if ( get_query_var('page') ) $paged = get_query_var('page');
						 
						$query = new WP_Query( array( 'posts_per_page' => 3 ) );
						 
						if ( $query->have_posts() ) : ?>
							<?php while ( $query->have_posts() ) : $query->the_post(); ?>	
							<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
							<p><?php echo substr(get_the_excerpt(), 0,100); ?>... <br><a href="<?php the_permalink(); ?>">Read More [...]</a></p>
							<hr>
							<?php endwhile; wp_reset_postdata(); ?>
							<!-- show pagination here -->
					<?php else : ?>
						<!-- show 404 error here -->
					<?php endif; ?>
				</div>
				<div class="col_5 " id="menu">
					<h2 class="smallTitle"><?php if (get_option('browsemenu') != "") { ?><?php echo get_option('browsemenu'); ?><?php } else { ?>Browse Our Menu<?php } ?></h2>
					<hr />
					<div class="home_menu drop-shadow lifted"><div class="menu_top"></div>
					
					
				    <?php
						if ( get_query_var('paged') ) $paged = get_query_var('paged');  
						if ( get_query_var('page') ) $paged = get_query_var('page');
						 
						$query = new WP_Query( array( 'post_type' => 'menu_page', 'paged' => $paged, 'posts_per_page' =>2 ) );
						 
						if ( $query->have_posts() ) : ?>
							<?php while ( $query->have_posts() ) : $query->the_post(); ?>	
								<a href="<?php the_permalink(); ?>" class="selectmenu clearfix" title="Click to Browse Menu">
												<h5 style="text-align: center"><?php the_title(); ?></h5>
												<ul>
													<?php if( get_post_meta( $post->ID, 'item1name', true ) ) { ?>
														<li>
															<?php if( get_post_meta( $post->ID, 'item1image', true ) ) { echo '<img src="'.html_entity_decode(get_post_meta( $post->ID, 'item1image', true  )) . '" style="width: 100px; height: 75px; float: left; padding: 3px; margin-left: 20px;background: #fff;border: 1px solid #ddd;" />'; } else { echo '<div style="width: 70px; height: 85px;float: left;"></div>'; } ?>

															<strong style="padding: 10px;  padding-top: 10px; float: left; width: 140px; text-align: center; font-size: 15px;"><?php if( get_post_meta( $post->ID, 'item1name', true ) ) { echo get_post_meta( $post->ID, 'item1name', true  ); } ?></strong>
															<span style="padding: 10px; padding-top: 0; float: left; width: 130px; text-align: center; font-size: 26px; font-weight: bold;"><?php if( get_post_meta( $post->ID, 'item1price', true ) ) { echo html_entity_decode(get_post_meta( $post->ID, 'item1price', true  )); } ?></span>
														</li>
													<?php } ?>
												</ul>
											</a>
							<?php endwhile; wp_reset_postdata(); ?>
							<!-- show pagination here -->
					<?php else : ?>
						<!-- show 404 error here -->
					<?php endif; ?>
					<br clear="all">
					<a href="#inline_content" class="viewmenu">Click to View Full Menu</a>
					<div class="menu_bottom "></div></div>
				</div>
				<div class="col_4" id="map">

					<h2 class="smallTitle"><?php if (get_option('getdirections') != "") { ?><?php echo get_option('getdirections'); ?><?php } else { ?>Get Directions<?php } ?></h2>
					<hr />
					<?php if (get_option('emailreservation') != "") { ?>
						<a href="mailto:<?php echo get_option('emailreservation'); ?>" class="reservation">Make Email Reseveration</a>
					<?php } ?>

					<?php if (get_option('mapaddress') != "") { ?>
						<div id="map_canvas">

						</div>
					<?php } ?>
					<div class="map-location" data="{id: 2, point: {lng: -122.4391131, lat: 37.7729943}, category: 'restaurant'}">
					<br/>
					<?php if (get_option('location') != "") { ?>
						<h5 class="location"><?php echo get_option('location'); ?></h5>
					<?php } ?>
					<?php if (get_option('address') != "") { ?>
						<h5 class="address"><?php echo get_option('address'); ?></h5>
					<?php } ?>
					<?php if (get_option('phone') != "") { ?>
						<h5 class="phone"><?php echo get_option('phone'); ?></h5>
					<?php } ?>
					<?php if (get_option('smalltext') != "") { ?>
						<h5 class="smalltext"><?php echo get_option('smalltext'); ?></h5>
					<?php } ?>
					<br>

				</div>
			</div>
		</div>


		<div class="facebookStyle" style="display: none;">
				
				<div class="col_6 " id="menu">
					<h2 class="smallTitle"><?php if (get_option('browsemenu') != "") { ?><?php echo get_option('browsemenu'); ?><?php } else { ?>Browse Our Menu<?php } ?></h2>
					<hr />
					<div class="home_menu drop-shadow lifted"><div class="menu_top"></div>
					
					
				    <?php
						if ( get_query_var('paged') ) $paged = get_query_var('paged');  
						if ( get_query_var('page') ) $paged = get_query_var('page');
						 
						$query = new WP_Query( array( 'post_type' => 'menu_page', 'paged' => $paged, 'posts_per_page' =>2 ) );
						 
						if ( $query->have_posts() ) : ?>
							<?php while ( $query->have_posts() ) : $query->the_post(); ?>	
								<a href="<?php the_permalink(); ?>" class="selectmenu clearfix" title="Click to Browse Menu">
												<h5 style="text-align: center"><?php the_title(); ?></h5>
												<ul>
													<?php if( get_post_meta( $post->ID, 'item1name', true ) ) { ?>
														<li>
															<?php if( get_post_meta( $post->ID, 'item1image', true ) ) { echo '<img src="'.html_entity_decode(get_post_meta( $post->ID, 'item1image', true  )) . '" style="width: 100px; height: 75px; float: left; padding: 3px; margin-left: 20px;background: #fff;border: 1px solid #ddd;" />'; } else { echo '<div style="width: 70px; height: 85px;float: left;"></div>'; } ?>

															<strong style="padding: 10px;  padding-top: 10px; float: left; width: 140px; text-align: center; font-size: 15px;"><?php if( get_post_meta( $post->ID, 'item1name', true ) ) { echo get_post_meta( $post->ID, 'item1name', true  ); } ?></strong>
															<span style="padding: 10px; padding-top: 0; float: left; width: 130px; text-align: center; font-size: 26px; font-weight: bold;"><?php if( get_post_meta( $post->ID, 'item1price', true ) ) { echo html_entity_decode(get_post_meta( $post->ID, 'item1price', true  )); } ?></span>
														</li>
													<?php } ?>
												</ul>
											</a>
							<?php endwhile; wp_reset_postdata(); ?>
							<!-- show pagination here -->
					<?php else : ?>
						<!-- show 404 error here -->
					<?php endif; ?>
					<br clear="all">
					<a href="#inline_content" class="viewmenu">Click to View Full Menu</a>
					<div class="menu_bottom "></div></div>
				</div>
				<div class="col_6" id="map">

					<h2 class="smallTitle"><?php if (get_option('getdirections') != "") { ?><?php echo get_option('getdirections'); ?><?php } else { ?>Get Directions<?php } ?></h2>
					<hr />
					<?php if (get_option('emailreservation') != "") { ?>
						<a href="mailto:<?php echo get_option('emailreservation'); ?>" class="reservation">Make Email Reseveration</a>
					<?php } ?>
					<?php if (get_option('mapaddress') != "") { ?>
						<div id="map_canvas">

						</div>
						<div id="map_canvas2" style="display: none">
							
							<?php if (get_option('maplink') != "") { ?>
								<a target="_parent" href="<?php echo get_option('maplink'); ?>"><img src="<?php echo get_bloginfo('template_directory'); ?>/images/directions.png"></a>
							<?php } ?>
						</div>
					<?php } ?>
					<div class="map-location" data="{id: 2, point: {lng: -122.4391131, lat: 37.7729943}, category: 'restaurant'}">
					<br/>
					<?php if (get_option('location') != "") { ?>
						<h5 class="location"><?php echo get_option('location'); ?></h5>
					<?php } ?>
					<?php if (get_option('address') != "") { ?>
						<h5 class="address"><?php echo get_option('address'); ?></h5>
					<?php } ?>
					<?php if (get_option('phone') != "") { ?>
						<h5 class="phone"><?php echo get_option('phone'); ?></h5>
					<?php } ?>
					<?php if (get_option('smalltext') != "") { ?>
						<h5 class="smalltext"><?php echo get_option('smalltext'); ?></h5>
					<?php } ?>
					<br>

				</div>
				
			</div>
			<br clear="all" />
				<div class="col_12" id="news">
					<h2 class="smallTitle"><?php if (get_option('latestnews') != "") { ?><?php echo get_option('latestnews'); ?><?php } else { ?>Latest News<?php } ?></h2>
					<hr />
					
					<?php
						if ( get_query_var('paged') ) $paged = get_query_var('paged');  
						if ( get_query_var('page') ) $paged = get_query_var('page');
						 
						$query = new WP_Query( array( 'posts_per_page' => 3 ) );
						 
						if ( $query->have_posts() ) : ?>
							<?php while ( $query->have_posts() ) : $query->the_post(); ?>	
						<div class="col_4" style="margin-top: -20px;">
							<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
							<p><?php echo substr(get_the_excerpt(), 0,100); ?>... <br><a href="<?php the_permalink(); ?>">Read More [...]</a></p>
							
						</div>
							<?php endwhile; wp_reset_postdata(); ?>
							<!-- show pagination here -->
					<?php else : ?>
						<!-- show 404 error here -->
					<?php endif; ?>
				</div>
		</div>



		




<br clear="all" /><br clear="all" />
	
		
	<?php if (get_option('photoalbum') != "hide") { ?>
		<div class="col_3 photocol">
			<?php if (get_option('photo1') != "") { ?>
				<a href="<?php echo get_option('photo1'); ?>" class="lightbox"><img src="<?php echo get_option('photo1'); ?>" /></a>
			<?php } ?>
			<?php if (get_option('photo1') == "") { ?>
				<a href="http://lorempixel.com/800/600/food/6/Add%20Your%20Own%20Photos/" class="lightbox"><img src="http://lorempixel.com/800/600/food/6/Add%20Your%20Own%20Photos/" /></a>
			<?php } ?>
		</div>
		<div class="col_3 photocol">
			<?php if (get_option('photo2') != "") { ?>
				<a href="<?php echo get_option('photo2'); ?>" class="lightbox"><img src="<?php echo get_option('photo2'); ?>" /></a>
			<?php } ?>
			<?php if (get_option('photo2') == "") { ?>
				<a href="http://lorempixel.com/800/600/food/2/Add%20Your%20Own%20Photos/" class="lightbox"><img src="http://lorempixel.com/800/600/food/2/Add%20Your%20Own%20Photos/" /></a>
			<?php } ?>
		</div>
		<div class="col_3 photocol">
			<?php if (get_option('photo3') != "") { ?>
				<a href="<?php echo get_option('photo3'); ?>" class="lightbox"><img src="<?php echo get_option('photo3'); ?>" /></a>
			<?php } ?>
			<?php if (get_option('photo3') == "") { ?>
				<a href="http://lorempixel.com/800/600/food/3/Add%20Your%20Own%20Photos/" class="lightbox"><img src="http://lorempixel.com/800/600/food/3/Add%20Your%20Own%20Photos/" /></a>
			<?php } ?>
		</div>
		<div class="col_3 photocol">
			<?php if (get_option('photo4') != "") { ?>
				<a href="<?php echo get_option('photo4'); ?>" class="lightbox"><img src="<?php echo get_option('photo4'); ?>" /></a>
			<?php } ?>
			<?php if (get_option('photo4') == "") { ?>
				<a href="http://lorempixel.com/800/600/food/4/Add%20Your%20Own%20Photos/" class="lightbox"><img src="http://lorempixel.com/800/600/food/4/Add%20Your%20Own%20Photos/" /></a>
			<?php } ?>
		</div>
	<?php } ?>
<?php get_footer(); ?>